mscorlib 2.0.0.0 4.0.0.0 System.Collections.Generic.ICollection<T> System.Collections.Generic.IEnumerable<T> To be added.

The generic interface is a descendant of the generic interface and is the base interface of all generic lists.

Represents a collection of objects that can be individually accessed by index.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Determines the index of a specific item in the current instance.

  The index of if found in the current instance; otherwise, -1.

  Implementations can vary in how they determine equality of objects; for example, uses the default comparer, whereas, allows the user to specify the implementation to use for comparing keys.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` A that specifies the zero-based index at which value is inserted. To be added.

  Inserts an item into the current instance at the specified position.

  In collections of contiguous elements, such as lists, the elements that follow the insertion point have indices one more than previously, to accommodate the new element. If the collection is indexed, the indexes of the elements that are moved are also updated.

  If equals the number of items in the , then value is required to be appended to the end of the current instance.

  is not a valid index in the current instance (i.e. is negative or greater than the number of elements in the current instance).

  The current instance is read-only.

- Property
  2.0.0.0
  4.0.0.0
  T `` The zero-based index of the element to get or set.

  Gets or sets the element at the specified index in the current instance.

  The element at the specified index in the current instance.

  This property provides the ability to access a specific element in the collection by using some language-specific syntax.

  is not a valid index in the current instance.

  The property is being set and the current instance is read-only.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  is not a valid index in the current instance.

  The current instance is read-only.

  In collections of contiguous elements, such as lists, the elements that follow the removed element move up to occupy the vacated spot. If the collection is indexed, the indexes of the elements that are moved are also updated. This behavior does not apply to collections where elements are conceptually grouped into buckets, such as a hash table.

  Removes the item at the specified index.

  The zero-based index of the item to remove.